

:root {
  --bg_front: url("files/bg_original_front.webp");
  --bg_back: url("files/bg_original_back.webp");
  --c_dark: #793a80;
  --c_bg: #242234;
  --c_bg2: #242234;
  --imgfilter: brightness(0) saturate(100%) invert(28%) sepia(10%) saturate(4124%) hue-rotate(250deg) brightness(93%) contrast(87%);

  --c_text2: #cbdbfc;
  --c_link: #ffd541;

  --globalfont: 'Quicksand', 'Gill Sans', 'Gill Sans MT', 'Trebuchet MS', sans-serif;
  --globalweight: bold;

  --modalshadow: 0 0 25px var(--c_dark);

}

.theme_chilly {
  --bg_front: url(files/bg_winter_front.webp);
  --bg_back: url(files/bg_winter_back.webp);
  --c_dark: #124e89;
  --c_bg: #262b44;
  --c_bg2: #221c1a;
  --imgfilter: brightness(0) saturate(100%) invert(22%) sepia(87%) saturate(1154%) hue-rotate(185deg) brightness(92%) contrast(92%);
  
}
.theme_spooky {
  --bg_front: url(files/bg_spooky_front.webp);
  --bg_back: url(files/bg_spooky_back.webp);
  --c_dark: #9e2835;
  --c_bg: #3f2832;
  --c_bg2: #181425;
  --imgfilter: brightness(0) saturate(100%) invert(16%) sepia(71%) saturate(2689%) hue-rotate(336deg) brightness(94%) contrast(87%);
  
}


body {
  font-family: var(--globalfont);
  font-weight: var(--globalweight);

  background-image: var(--bg_back);
  background-attachment: fixed;
  background-color: var(--c_bg);
  
  color: var(--c_text2);
  margin: 0;
  overflow-x: hidden;

}
.noscroll {
  overflow: hidden;
  padding-right: var(--scrollbar-width, 0px);
}


#detach-button-host, #qr-host { /* hide opera gx video element popup */
  display: none;
}



.backgroup {
  /*filter: drop-shadow(0px 0px 20px #00000083);*/
  box-shadow: #000000b3 0 0 20px;
}
p {
  color: var(--c_text2);
  margin: 0;
}
p a, li a, .descbox a {
  color: var(--c_link);
}




ul {
  list-style: none;
}
ul.whatsnew {
  text-align: center;
  margin: auto;
  padding: 0;
  width: 360px;
  background-color: var(--c_bg);
  border: 3px solid var(--c_dark);
  border-radius: 20px;
  font-size: 14pt;
  font-weight: 100;
}
ul.whatsnew img {
  max-width: 85%;
  height: auto;
}
li.posttitle {
  font-size: 16pt;
  color: white;
  list-style: none;
  font-weight: var(--globalweight);
}
ul.whatsnew li + li {
  border-top: 3px solid var(--c_dark);
  padding: 3px;
  /*list-style: circle outside;*/
}


.descbox {
  width: 50%;
  margin: auto;
  padding: 8px;

  color: var(--c_dark);
  background-color: var(--c_bg2);

  border: 2px solid var(--c_dark);
  border-radius: 10px;

  margin-bottom: 28px;
}
.socialsbox {
  width: 80%;
  margin: auto;


  display: grid;
  grid-template-columns: 33.3% 33.3% 33.3%;
  grid-gap: 10px;
  
}
.linkbox {

  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: flex-start;
  align-content: flex-start;
  justify-content: center;
  
  color: var(--c_dark);
  background-color: var(--c_bg2);
  border: 2px solid var(--c_dark);
  border-radius: 10px;
  text-align: right;
  font-size: 18px;
  height: 48px;
  overflow: hidden;
  text-align: left;
  cursor: pointer;
  user-select: none;
  text-decoration: none;

  box-shadow: 0px 0px 0px var(--c_dark);
  transform: translate(0px, 0px);
  transition: transform 0.2s ease, box-shadow 0.2s ease;

  backface-visibility:         hidden;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility:    hidden;
  -ms-backface-visibility:     hidden;
}
.linkbox:hover {
  box-shadow: 0px 4px 0px var(--c_dark);
  transform: translate(0px, -4px);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}
.linkbox * {
  margin: 0 7px 0 8px;
  display: flex;
  height: 100%;
  align-items: center;
}
.linkbox .imgholder {
  width: 40px;
  height: 40px;
}
.linkbox .imgholder * {
  margin: 0;
  width: 100%;
  height: 100%;
  object-fit: contain;
  filter: var(--imgfilter);
}
.smooth img {
  image-rendering: auto;
}
.linkbox h3 {
  margin: 0;
  color: var(--c_dark);
  height: fit-content;
  font-size: 19px;
}
.linkbox p {
  color: var(--c_dark);
  height: fit-content;
  font-size: 12px;
  margin: 0;
}



.things {
  width: 700px;
  height: auto;
  margin: auto;
  padding: 10px;

  background-image: var(--bg_front);
  background-attachment: fixed;
  text-align: center;
}
.things.cooler {
  border-radius: 29px;
  width: fit-content;
  padding: 20px;
  margin-top: 20px;

  border: 0px #f6d43f dotted;
  transition: border 0.2s;
}
.things.cooler:hover {
  border: 4px #f6d43f dotted;
  transition: border 0.2s;
}

.bigtab {
  width: 360px;
  display: table-cell;
  margin: 0;
  height: 60px;
}
.bigtab h3 {
  color: var(--c_dark);
  font-size: 20pt;
  position: relative;

  margin: auto;
  margin-bottom: 42px;
  width: fit-content;
  user-select: none;

  border: 2px solid var(--c_dark);
  border-radius: 8px;
  background-color: var(--c_bg);
  padding: 0px 16px 2px 16px;

  box-shadow: 0px 0px 0px var(--c_dark);
  transform: translate(0px, 0px);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}
.bigtab h3:hover {
  color: var(--c_text2);
  cursor: pointer;

  box-shadow: 0px 2px 0px var(--c_dark);
  transform: translate(0px, -2px);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}
.bigtab h3.selected {
  color: white;
  box-shadow: 0px 10px 0px var(--c_dark);
  transform: translate(0px, -10px);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

#tabcontainer {
  height: 0;
}


.button1 {
  border: 0;
  color: black;
  background-color: #295c42;
  padding: 10px;
  border-radius: 20px;
  box-shadow: #141013 0px 5px;
  font-size: 16pt;
}
.button1:hover {
  background-color: #337251;
}
.button1:active {
  transform: translate(0px, 5px);
  box-shadow: none;
}


.pfp {
  border-radius: 50%;
  box-shadow: var(--c_bg) 0px 0px 40px;
  height: 142px;
  image-rendering: auto;
}

.coolshape {
  margin: auto;
  width: 720px;
  height: 100px;
  display: block;

  background-image: var(--bg_front);
  background-attachment: fixed;

  pointer-events: none;
}
.coolshape svg {
  background: none;
}
.coolshape.shape_up {
  clip-path: polygon(0 100%, 100% 0, 100% 100%);
}
.coolshape.shape_down {
  clip-path: polygon(0 0, 100% 0, 0 100%);
}


.cooltab {
  position: relative;
  top: -100px;
  margin: auto;
  height: 100px;
  width: 180px;

  pointer-events: none;

  fill: var(--c_dark);
}
.cooltab.selected {
  z-index: -2;
}

.cooltab.selected path {
  pointer-events: fill;
  cursor: pointer;
  fill: black;
}



.centerbox {
  width: 720px;
  margin: auto;
}



.extrasbox {
  height: 0px;
  margin: 0px;
}
.greeting {
  text-align: left;
  margin: 0px;
  position: relative;
  top: 53px;
  left: 10px;
  width: 150px;
  white-space: nowrap;
  font-weight: initial;
}
#themeselect {
  outline: none;
  background-color: var(--c_bg);
  color: #cbdbfc;
  border: none;
  font-weight: bold;
}
.noselect {
  user-select: none;
}




.bottom {
  text-align: center;
  margin-bottom: 50px;
}
.bottom a {
  color: #ffd541;
}
.boxtilt {
  transform: rotate(352deg);
}

.toplink {
  font-size: 0;
}

.artgrid {
  display: grid;
  grid-template-columns: auto auto;
  column-gap: 10px;
  row-gap: 6px;
  margin-bottom: 25px;
}


.artbox {
  margin: 0px;
  position: relative;
  border: 2px solid var(--c_dark);
  border-radius: 16px;
  padding: 0;
  margin-top: 14px;
  background-color: var(--c_bg2);
  overflow: hidden;
  height: fit-content;
  cursor: pointer;
}
.artbox:hover {
  border: 2px solid var(--c_text2);
}
.artbox:hover .artlabel {
  color: var(--c_text2);
}



.artbox.large {
  grid-column: auto / span 2;
  grid-row: auto / span 2;
}
.artbox .imgbox {
  width: 100%;
  margin: 0;
  border-radius: 0px 0px 16px 16px;
}
.artbox.large .imgbox {
  width: 100%;
}
.artbox .artlabel {
  color: var(--c_dark);
  font-size: 17pt;
  text-align: left;
  margin: 8px;
  margin-top: 2px;
}
.imgbox.invis {
  visibility: hidden;
}
.artbox.open .artlabel {
  visibility: hidden;
}




.sliceholder {
  grid-column: 1 / -1;
  height: 270px;
}
.imgslice {
  
  position: relative;
  z-index: 1;

  perspective: 8px;
  perspective-origin: 50%;
  cursor: pointer;
}
.imgslice.slicebig {
  clip-path: polygon(0 97px, 0 calc(100%), 100% calc(100% - 97px), 100% 0);
  width: 100%;
  height: 350px;
}
.imgslice .slicecontent {
  margin: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  image-rendering: auto;

  transform: translateZ(0px);
  transition: transform 0.5s ease;
}
.imgslice:hover .slicecontent {
  transform: translateZ(0.5px);
  transition: transform 0.5s ease;
}
.imgslice div.slicelabel {
  color: white;
  position: absolute;
  text-align: left;
  left: 25px;
  bottom: 25px;
  user-select: none;
  transform-origin: top left;
  transform: rotate(-7.2deg);
  font-size: 24px;
  text-shadow: 0px 2px 4px black, 0px 2px 3px black;

  filter: blur(0.01px); /* fix for sharp edges on firefox */

  opacity: 0;
  transition: opacity 0.25s ease;
}
.slicelabel .slicedate {
  font-size: 60%;
  color: var(--c_text2);
}
.imgslice:hover div.slicelabel {
  opacity: 1;
  transition: opacity 0.25s ease;
}



.backbutton {
  height: 42px;
  margin: 0;
  position: absolute;
  left: 10px;
  top: 10px;
}
.thingspageimg {
  max-width: 45%;
}
.h1title {
  font-size: 72pt;
  margin: 0;
  margin-bottom: 50px;
}
.logotitle {
  color: #f6d43f;
  text-shadow: #295c42 6px 6px, #141013 12px 12px;
  transition: text-shadow 0.2s;
}
.logotitle:hover {
  text-shadow: #27547d 8px 8px, #242234 16px 16px;
  transition: text-shadow 0.2s;
}

.funheading:hover {
  text-shadow: #f6d43f 0px 0px 0px;
  transition: text-shadow 0.2s;
}
.funheading {
  text-shadow: #f6d43f 0px 0px 12px;
  transition: text-shadow 0.2s;
  width: fit-content;
  margin: auto;
  margin-bottom: 25px;
}


.nametitle {
  /*height: 44px;*/
  width: auto;
  filter: drop-shadow(0px 14px 20px rgba(0, 0, 0, 0.3));
}



.modal {
  display: block;

  z-index: 10;
  margin: auto;
  padding-top: 0px;
  text-align: center;

  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;

  overflow-x: hidden;
  overflow-y: scroll;

  pointer-events: none;
  opacity: 0;
  transition: opacity 0.35s ease;
}
.modal.open {
  pointer-events: auto;
  opacity: 1;
  transition: opacity 0.35s ease;
}
.modal .modal_elements {
  transform: translateY(40px);
  transition: transform 0.35s ease;
  pointer-events: none;

  width: 100%;
  height: 100%;
  min-width: 720px;
  /*max-width: 1000px;*/
  margin: auto;
}
.modal.open .modal_elements {
  transform: translateY(0px);
  transition: transform 0.35s ease;
}
.modal_background {
  width: 100%;
  height: 110%;
  z-index: -1;
  background-color: rgba(0,0,0,0.8);
  position: fixed;
  cursor: pointer;
}
.modal p:not(.modal_desc) {
  max-width: 80%;
  width: fit-content;
  padding: 14px 18px;
  margin: 13px auto;
  margin-bottom: 50px;
  white-space: break-spaces;
  font-size: 17pt;
  font-weight: 100;
  border: 2px solid var(--c_dark);
  border-radius: 10px;
  color: var(--c_text2);
  background-color: var(--c_bg);

  box-shadow: var(--modalshadow);
}


.modal .imgbig {
  display: block;
  margin: auto;

  max-width: 80%;
  max-height: 80%;
  border: 2px solid var(--c_dark);
  border-radius: 10px;
  overflow-y: scroll;

  box-shadow: var(--modalshadow);

  transition: max-width .5s ease, max-height .5s ease;

}
.modal .modal_exit {
  font-size: 15pt;
  margin: 10px auto;
  width: fit-content;

  user-select: none;
  pointer-events: none;
}

.modal.zoomable.open .content_box {
  cursor: zoom-in;
}
.modal.zoomable.open.zoomed .content_box {
  cursor: zoom-out;
}
.modal .content_box {
  display: block;
  margin: auto;
  margin-bottom: 200px;

  background-color: var(--c_bg2);

  /*min-width: 720px;
  max-width: 900px;
  max-height: 80%;*/
  width: min-content;
  height: min-content;
  border: 2px solid var(--c_dark);
  border-radius: 10px;
  /*overflow-y: scroll;*/

  box-shadow: var(--modalshadow);

}
.modal.open .content_box {
  pointer-events: all;
}
.modal .content_box .modal_media {
  border-radius: 8px;

  margin: auto;
  width: max-content;
  height: max-content;

  max-width: clamp(600px,80vw,1000px);
  max-height: 80vh;
}
.modal.zoomable.open .modal_media {
  transition: max-width 0.5s ease, max-height 0.5s ease;
}
.modal.zoomable.open.zoomed .modal_media {

  max-width: 90vw;
  max-height: 300vh;
  transition: max-width 0.5s ease, max-height 0.5s ease;
}
.modal .content_box p.modal_desc {
  margin: auto;
  padding: 14px 18px;
  white-space: break-spaces;
  font-size: 17pt;
  font-weight: 100;
  color: var(--c_text2);
}





select {
  font-family: var(--globalfont);
  font-weight: var(--globalweight);
}


img, video {

  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;

  margin: 15px;

  /*
  -ms-interpolation-mode: nearest-neighbor;
  image-rendering: -webkit-optimize-contrast;
  image-rendering: -moz-crisp-edges;
  image-rendering: pixelated;
  */
}

/*
canvas {
  -ms-interpolation-mode: nearest-neighbor;
  image-rendering: -webkit-optimize-contrast;
  image-rendering: -moz-crisp-edges;
  image-rendering: pixelated;
}
*/
a img {
  image-rendering: auto;
  width: auto;
  height: 46px;
  transition: filter .1s ease, transform .1s ease;
}

.minibutton {
  height: 48px;
  cursor: pointer;
}
#minigame {
  z-index: 2;
  position: relative;
  width: 208px;
}
.imgbig_game {
  margin: 0;
  height: 450px;

  z-index: -2;
  overflow: hidden;

  position: relative;
}




.tilt:hover {
  filter: drop-shadow(0px 4px 0px #141013);
  transform: translate(0px, -4px);
}
.invis {
  visibility: hidden;
}
.nobg {
  background-image: none;
  background-color: transparent;
}


#loading {
  z-index: 20;
  margin: 0;
  left: 0;
  top: 0;
  text-align: center;
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.23);
}

#loadgif {
  position: fixed;
  top: 30%;
  margin: auto;
}


.pixels {
  -ms-interpolation-mode: nearest-neighbor;
  image-rendering: -webkit-optimize-contrast;
  image-rendering: -moz-crisp-edges;
  image-rendering: pixelated;
}

